! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! The ODE Function of Chemical Model File
! 
! Generated by KPP-2.2.1_rs5 symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Function.f90
! Time                 : Mon Oct 19 13:19:44 2015
! Working directory    : /home/mpayer/KPP
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Function

  USE gckpp_Parameters
  IMPLICIT NONE

! A - Rate for each equation
  REAL(kind=dp) :: A(NREACT)

!$OMP THREADPRIVATE( A )

CONTAINS


! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Fun - time derivatives of variables - Agregate form
!   Arguments :
!      V         - Concentrations of variable species (local)
!      F         - Concentrations of fixed species (local)
!      RCT       - Rate constants (local)
!      Vdot      - Time derivative of variable species concentrations
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

SUBROUTINE Fun ( V, F, RCT, Vdot )

! V - Concentrations of variable species (local)
  REAL(kind=dp) :: V(NVAR)
! F - Concentrations of fixed species (local)
  REAL(kind=dp) :: F(NFIX)
! RCT - Rate constants (local)
  REAL(kind=dp) :: RCT(NREACT)
! Vdot - Time derivative of variable species concentrations
  REAL(kind=dp) :: Vdot(NVAR)


! Computation of equation rates
  A(1) = RCT(1)*V(150)*V(157)
  A(2) = RCT(2)*V(153)*V(157)
  A(3) = RCT(3)*V(154)*V(157)
  A(4) = RCT(4)*V(157)*V(160)
  A(5) = RCT(5)*V(157)*V(158)
  A(6) = RCT(6)*V(153)*V(153)
  A(7) = RCT(7)*V(153)*V(153)
  A(8) = RCT(8)*V(153)*V(154)
  A(9) = RCT(9)*V(79)*V(153)
  A(10) = RCT(10)*V(150)*V(154)
  A(11) = RCT(11)*V(154)*V(154)
  A(12) = RCT(12)*V(153)*F(5)
  A(13) = RCT(13)*V(151)*V(153)
  A(14) = RCT(14)*V(153)*F(2)
  A(15) = RCT(15)*V(150)*V(158)
  A(16) = RCT(16)*V(154)*V(158)
  A(17) = RCT(17)*V(158)*V(158)
  A(18) = RCT(18)*V(158)*V(158)
  A(19) = RCT(19)*V(69)*V(153)
  A(20) = RCT(20)*V(69)*V(153)
  A(21) = RCT(21)*V(81)*V(153)
  A(22) = RCT(22)*V(81)*V(153)
  A(23) = RCT(23)*V(139)*V(153)
  A(24) = RCT(24)*V(153)*V(160)
  A(25) = RCT(25)*V(112)*V(153)
  A(26) = RCT(26)*V(150)*V(153)
  A(27) = RCT(27)*V(60)*V(153)
  A(28) = RCT(28)*V(154)*V(160)
  A(29) = RCT(29)*V(68)
  A(30) = RCT(30)*V(68)*V(153)
  A(31) = RCT(31)*V(154)*V(159)
  A(32) = RCT(32)*V(150)*V(159)
  A(33) = RCT(33)*V(153)*V(159)
  A(34) = RCT(34)*V(159)*V(160)
  A(35) = RCT(35)*V(57)
  A(36) = RCT(36)*V(153)*F(7)
  A(37) = RCT(37)*V(153)*F(8)
  A(38) = RCT(38)*V(159)*V(160)
  A(39) = RCT(39)*V(139)*V(159)
  A(40) = RCT(40)*V(145)*V(153)
  A(41) = RCT(41)*V(145)*V(159)
  A(42) = RCT(42)*V(155)*V(160)
  A(43) = RCT(43)*V(58)
  A(44) = RCT(44)*V(150)*V(155)
  A(45) = RCT(45)*V(78)*V(153)
  A(46) = RCT(46)*V(125)*V(150)
  A(47) = RCT(47)*V(66)*V(153)
  A(48) = RCT(48)*V(66)*V(153)
  A(49) = RCT(49)*V(113)*V(150)
  A(50) = RCT(50)*V(119)*V(150)
  A(51) = RCT(51)*V(59)*V(153)
  A(52) = RCT(52)*V(144)*V(150)
  A(53) = RCT(53)*V(144)*V(150)
  A(54) = RCT(54)*V(131)*V(150)
  A(55) = RCT(55)*V(130)*V(150)
  A(56) = RCT(56)*V(124)*V(150)
  A(57) = RCT(57)*V(137)*V(150)
  A(58) = RCT(58)*V(137)
  A(59) = RCT(59)*V(128)*V(150)
  A(60) = RCT(60)*V(140)*V(150)
  A(61) = RCT(61)*V(140)
  A(62) = RCT(62)*V(121)*V(150)
  A(63) = RCT(63)*V(122)*V(150)
  A(64) = RCT(64)*V(136)*V(150)
  A(65) = RCT(65)*V(136)*V(159)
  A(66) = RCT(66)*V(132)*V(159)
  A(67) = RCT(67)*V(120)*V(159)
  A(68) = RCT(68)*V(120)*V(150)
  A(69) = RCT(69)*V(120)*V(160)
  A(70) = RCT(70)*V(120)*V(154)
  A(71) = RCT(71)*V(111)*V(159)
  A(72) = RCT(72)*V(111)*V(150)
  A(73) = RCT(73)*V(111)*V(154)
  A(74) = RCT(74)*V(111)*V(158)
  A(75) = RCT(75)*V(132)*V(157)
  A(76) = RCT(76)*V(132)*V(153)
  A(77) = RCT(77)*V(103)*V(150)
  A(78) = RCT(78)*V(103)*V(154)
  A(79) = RCT(79)*V(103)*V(158)
  A(80) = RCT(80)*V(136)*V(136)
  A(81) = RCT(81)*V(123)*V(150)
  A(82) = RCT(82)*V(59)*V(159)
  A(83) = RCT(83)*V(146)*V(153)
  A(84) = RCT(84)*V(153)*F(1)
  A(85) = RCT(85)*V(147)*V(153)
  A(86) = RCT(86)*V(129)*V(160)
  A(87) = RCT(87)*V(50)
  A(88) = RCT(88)*V(133)*V(160)
  A(89) = RCT(89)*V(97)
  A(90) = RCT(90)*V(129)*V(150)
  A(91) = RCT(91)*V(133)*V(150)
  A(92) = RCT(92)*V(147)*V(159)
  A(93) = RCT(93)*V(102)*V(153)
  A(94) = RCT(94)*V(102)*V(153)
  A(95) = RCT(95)*V(113)*V(158)
  A(96) = RCT(96)*V(119)*V(158)
  A(97) = RCT(97)*V(144)*V(154)
  A(98) = RCT(98)*V(131)*V(154)
  A(99) = RCT(99)*V(130)*V(154)
  A(100) = RCT(100)*V(124)*V(154)
  A(101) = RCT(101)*V(137)*V(154)
  A(102) = RCT(102)*V(128)*V(154)
  A(103) = RCT(103)*V(140)*V(154)
  A(104) = RCT(104)*V(121)*V(154)
  A(105) = RCT(105)*V(122)*V(154)
  A(106) = RCT(106)*V(136)*V(154)
  A(107) = RCT(107)*V(123)*V(154)
  A(108) = RCT(108)*V(153)*V(156)
  A(109) = RCT(109)*V(125)*V(158)
  A(110) = RCT(110)*V(156)*V(159)
  A(111) = RCT(111)*V(144)*V(158)
  A(112) = RCT(112)*V(131)*V(158)
  A(113) = RCT(113)*V(130)*V(158)
  A(114) = RCT(114)*V(124)*V(158)
  A(115) = RCT(115)*V(137)*V(158)
  A(116) = RCT(116)*V(137)*V(137)
  A(117) = RCT(117)*V(127)*V(158)
  A(118) = RCT(118)*V(128)*V(158)
  A(119) = RCT(119)*V(140)*V(158)
  A(120) = RCT(120)*V(121)*V(158)
  A(121) = RCT(121)*V(122)*V(158)
  A(122) = RCT(122)*V(136)*V(158)
  A(123) = RCT(123)*V(123)*V(158)
  A(124) = RCT(124)*V(153)*F(4)
  A(125) = RCT(125)*V(95)*V(153)
  A(126) = RCT(126)*V(125)*V(125)
  A(127) = RCT(127)*V(125)*V(125)
  A(128) = RCT(128)*V(125)*V(154)
  A(129) = RCT(129)*V(113)*V(154)
  A(130) = RCT(130)*V(119)*V(154)
  A(131) = RCT(131)*V(154)*V(155)
  A(132) = RCT(132)*V(129)*V(154)
  A(133) = RCT(133)*V(133)*V(154)
  A(134) = RCT(134)*V(106)*V(153)
  A(135) = RCT(135)*V(106)*V(157)
  A(136) = RCT(136)*V(97)*V(153)
  A(137) = RCT(137)*V(97)*V(157)
  A(138) = RCT(138)*V(126)*V(153)
  A(139) = RCT(139)*V(126)*V(153)
  A(140) = RCT(140)*V(106)*V(159)
  A(141) = RCT(141)*V(114)*V(153)
  A(142) = RCT(142)*V(135)*V(153)
  A(143) = RCT(143)*V(114)*V(159)
  A(144) = RCT(144)*V(135)*V(159)
  A(145) = RCT(145)*V(105)*V(153)
  A(146) = RCT(146)*V(149)*V(153)
  A(147) = RCT(147)*V(148)*V(153)
  A(148) = RCT(148)*V(143)*V(153)
  A(149) = RCT(149)*V(143)*V(153)
  A(150) = RCT(150)*V(113)*V(155)
  A(151) = RCT(151)*V(119)*V(155)
  A(152) = RCT(152)*V(113)*V(155)
  A(153) = RCT(153)*V(119)*V(155)
  A(154) = RCT(154)*V(105)*V(157)
  A(155) = RCT(155)*V(149)*V(157)
  A(156) = RCT(156)*V(148)*V(157)
  A(157) = RCT(157)*V(105)*V(159)
  A(158) = RCT(158)*V(148)*V(159)
  A(159) = RCT(159)*V(148)*V(159)
  A(160) = RCT(160)*V(129)*V(158)
  A(161) = RCT(161)*V(133)*V(158)
  A(162) = RCT(162)*V(129)*V(158)
  A(163) = RCT(163)*V(133)*V(158)
  A(164) = RCT(164)*V(89)*V(153)
  A(165) = RCT(165)*V(89)*V(153)
  A(166) = RCT(166)*V(80)*V(153)
  A(167) = RCT(167)*V(67)*V(153)
  A(168) = RCT(168)*V(63)*V(153)
  A(169) = RCT(169)*V(64)*V(153)
  A(170) = RCT(170)*V(82)*V(153)
  A(171) = RCT(171)*V(74)*V(153)
  A(172) = RCT(172)*V(75)*V(153)
  A(173) = RCT(173)*V(83)*V(153)
  A(174) = RCT(174)*V(83)*V(153)
  A(175) = RCT(175)*V(52)*V(153)
  A(176) = RCT(176)*V(92)*V(154)
  A(177) = RCT(177)*V(92)*V(150)
  A(178) = RCT(178)*V(86)*V(153)
  A(179) = RCT(179)*V(85)*V(153)
  A(180) = RCT(180)*V(84)*V(153)
  A(181) = RCT(181)*V(84)*V(153)
  A(182) = RCT(182)*V(73)*V(153)
  A(183) = RCT(183)*V(73)*V(153)
  A(184) = RCT(184)*V(116)*V(155)
  A(185) = RCT(185)*V(116)*V(155)
  A(186) = RCT(186)*V(116)*V(158)
  A(187) = RCT(187)*V(116)*V(116)
  A(188) = RCT(188)*V(116)*V(154)
  A(189) = RCT(189)*V(116)*V(150)
  A(190) = RCT(190)*V(116)*V(150)
  A(191) = RCT(191)*V(61)*V(153)
  A(192) = RCT(192)*V(78)*V(159)
  A(193) = RCT(193)*V(138)*V(157)
  A(194) = RCT(194)*V(155)*V(155)
  A(195) = RCT(195)*V(155)*V(158)
  A(196) = RCT(196)*V(155)*V(158)
  A(197) = RCT(197)*V(144)*V(155)
  A(198) = RCT(198)*V(130)*V(155)
  A(199) = RCT(199)*V(124)*V(155)
  A(200) = RCT(200)*V(137)*V(155)
  A(201) = RCT(201)*V(127)*V(155)
  A(202) = RCT(202)*V(128)*V(155)
  A(203) = RCT(203)*V(140)*V(155)
  A(204) = RCT(204)*V(122)*V(155)
  A(205) = RCT(205)*V(131)*V(155)
  A(206) = RCT(206)*V(121)*V(155)
  A(207) = RCT(207)*V(136)*V(155)
  A(208) = RCT(208)*V(123)*V(155)
  A(209) = RCT(209)*V(144)*V(155)
  A(210) = RCT(210)*V(130)*V(155)
  A(211) = RCT(211)*V(124)*V(155)
  A(212) = RCT(212)*V(137)*V(155)
  A(213) = RCT(213)*V(127)*V(155)
  A(214) = RCT(214)*V(128)*V(155)
  A(215) = RCT(215)*V(140)*V(155)
  A(216) = RCT(216)*V(131)*V(155)
  A(217) = RCT(217)*V(121)*V(155)
  A(218) = RCT(218)*V(136)*V(155)
  A(219) = RCT(219)*V(123)*V(155)
  A(220) = RCT(220)*V(122)*V(155)
  A(221) = RCT(221)*V(125)*V(155)
  A(222) = RCT(222)*V(125)*V(155)
  A(223) = RCT(223)*V(129)*V(155)
  A(224) = RCT(224)*V(133)*V(155)
  A(225) = RCT(225)*V(159)*V(159)
  A(226) = RCT(226)*V(158)*V(160)
  A(227) = RCT(227)*V(62)
  A(228) = RCT(228)*F(3)
  A(229) = RCT(229)*F(3)
  A(230) = RCT(230)*F(3)
  A(231) = RCT(231)*F(3)
  A(232) = RCT(232)*F(3)
  A(233) = RCT(233)*F(3)
  A(234) = RCT(234)*F(3)
  A(235) = RCT(235)*F(3)
  A(236) = RCT(236)*F(3)
  A(237) = RCT(237)*F(3)
  A(238) = RCT(238)*F(3)
  A(239) = RCT(239)*F(3)
  A(240) = RCT(240)*F(3)
  A(241) = RCT(241)*F(3)
  A(242) = RCT(242)*F(3)
  A(243) = RCT(243)*F(3)
  A(244) = RCT(244)*F(3)
  A(245) = RCT(245)*F(3)
  A(246) = RCT(246)*F(3)
  A(247) = RCT(247)*F(3)
  A(248) = RCT(248)*F(3)
  A(249) = RCT(249)*V(102)
  A(250) = RCT(250)*V(160)
  A(251) = RCT(251)*V(53)
  A(252) = RCT(252)*V(157)
  A(253) = RCT(253)*V(58)
  A(254) = RCT(254)*V(112)
  A(255) = RCT(255)*V(139)
  A(256) = RCT(256)*V(57)
  A(257) = RCT(257)*V(79)
  A(258) = RCT(258)*V(97)
  A(259) = RCT(259)*V(50)
  A(260) = RCT(260)*V(146)
  A(261) = RCT(261)*V(149)
  A(262) = RCT(262)*V(148)
  A(263) = RCT(263)*V(143)
  A(264) = RCT(264)*V(145)
  A(265) = RCT(265)*V(52)
  A(266) = RCT(266)*V(83)
  A(267) = RCT(267)*V(109)
  A(268) = RCT(268)*V(91)
  A(269) = RCT(269)*V(91)*V(157)
  A(270) = RCT(270)*V(109)*V(157)
  A(271) = RCT(271)*V(115)
  A(272) = RCT(272)*V(117)
  A(273) = RCT(273)*V(100)
  A(274) = RCT(274)*F(7)
  A(275) = RCT(275)*F(1)
  A(276) = RCT(276)*V(154)
  A(277) = RCT(277)*V(160)
  A(278) = RCT(278)*V(159)
  A(279) = RCT(279)*V(57)
  A(280) = RCT(280)*V(65)*V(153)
  A(281) = RCT(281)*V(65)*V(153)
  A(282) = RCT(282)*V(65)*V(159)
  A(283) = RCT(283)*V(134)*V(153)
  A(284) = RCT(284)*V(152)*V(157)
  A(285) = RCT(285)*V(108)*V(154)
  A(286) = RCT(286)*V(152)*V(154)
  A(287) = RCT(287)*V(72)*V(153)
  A(288) = RCT(288)*V(108)*V(108)
  A(289) = RCT(289)*V(108)*V(108)
  A(290) = RCT(290)*V(108)*V(150)
  A(291) = RCT(291)*V(76)*V(152)
  A(292) = RCT(292)*V(71)*V(153)
  A(293) = RCT(293)*V(108)*V(153)
  A(294) = RCT(294)*V(152)*V(159)
  A(295) = RCT(295)*V(139)*V(152)
  A(296) = RCT(296)*V(145)*V(152)
  A(297) = RCT(297)*V(102)*V(152)
  A(298) = RCT(298)*V(78)*V(152)
  A(299) = RCT(299)*V(66)*V(152)
  A(300) = RCT(300)*V(152)*V(160)
  A(301) = RCT(301)*V(108)*V(160)
  A(302) = RCT(302)*V(46)*V(153)
  A(303) = RCT(303)*V(47)*V(153)
  A(304) = RCT(304)*V(48)*V(153)
  A(305) = RCT(305)*V(76)
  A(306) = RCT(306)*V(70)
  A(307) = RCT(307)*V(72)
  A(308) = RCT(308)*V(70)
  A(309) = RCT(309)*V(72)
  A(310) = RCT(310)*V(70)
  A(311) = RCT(311)*V(72)
  A(312) = RCT(312)*V(76)
  A(313) = RCT(313)*V(71)
  A(314) = RCT(314)*V(138)*V(153)
  A(315) = RCT(315)*V(127)*V(150)
  A(316) = RCT(316)*V(127)*V(150)
  A(317) = RCT(317)*V(127)*V(154)
  A(318) = RCT(318)*V(109)*V(153)
  A(319) = RCT(319)*V(91)*V(153)
  A(320) = RCT(320)*V(142)*V(150)
  A(321) = RCT(321)*V(142)*V(150)
  A(322) = RCT(322)*V(142)*V(154)
  A(323) = RCT(323)*V(141)*V(150)
  A(324) = RCT(324)*V(141)*V(150)
  A(325) = RCT(325)*V(141)*V(154)
  A(326) = RCT(326)*V(90)*V(153)
  A(327) = RCT(327)*V(100)*V(153)
  A(328) = RCT(328)*V(117)*V(153)
  A(329) = RCT(329)*V(93)*V(150)
  A(330) = RCT(330)*V(93)*V(154)
  A(331) = RCT(331)*V(93)*V(160)
  A(332) = RCT(332)*V(53)
  A(333) = RCT(333)*V(87)*V(153)
  A(334) = RCT(334)*V(96)*V(150)
  A(335) = RCT(335)*V(96)*V(150)
  A(336) = RCT(336)*V(96)*V(154)
  A(337) = RCT(337)*V(88)*V(153)
  A(338) = RCT(338)*V(94)*V(150)
  A(339) = RCT(339)*V(94)*V(150)
  A(340) = RCT(340)*V(94)*V(154)
  A(341) = RCT(341)*V(88)*V(157)
  A(342) = RCT(342)*V(77)*V(153)
  A(343) = RCT(343)*V(115)*V(153)
  A(344) = RCT(344)*V(104)*V(150)
  A(345) = RCT(345)*V(104)*V(160)
  A(346) = RCT(346)*V(104)*V(134)
  A(347) = RCT(347)*V(104)
  A(348) = RCT(348)*V(104)
  A(349) = RCT(349)*V(118)*V(151)
  A(350) = RCT(350)*V(118)*V(150)
  A(351) = RCT(351)*V(118)*V(160)
  A(352) = RCT(352)*V(118)*V(134)
  A(353) = RCT(353)*V(118)
  A(354) = RCT(354)*V(118)
  A(355) = RCT(355)*V(98)*V(151)
  A(356) = RCT(356)*V(98)*V(150)
  A(357) = RCT(357)*V(98)*V(160)
  A(358) = RCT(358)*V(98)*V(134)
  A(359) = RCT(359)*V(98)
  A(360) = RCT(360)*V(107)*V(151)
  A(361) = RCT(361)*V(107)*V(150)
  A(362) = RCT(362)*V(107)*V(160)
  A(363) = RCT(363)*V(107)*V(134)
  A(364) = RCT(364)*V(107)
  A(365) = RCT(365)*V(110)*V(151)
  A(366) = RCT(366)*V(110)*V(150)
  A(367) = RCT(367)*V(110)*V(160)
  A(368) = RCT(368)*V(110)*V(134)
  A(369) = RCT(369)*V(110)
  A(370) = RCT(370)*V(110)
  A(371) = RCT(371)*V(99)*V(151)
  A(372) = RCT(372)*V(99)*V(150)
  A(373) = RCT(373)*V(99)*V(160)
  A(374) = RCT(374)*V(99)*V(134)
  A(375) = RCT(375)*V(99)
  A(376) = RCT(376)*V(99)
  A(377) = RCT(377)*V(101)*V(151)
  A(378) = RCT(378)*V(101)*V(150)
  A(379) = RCT(379)*V(101)*V(160)
  A(380) = RCT(380)*V(101)*V(134)
  A(381) = RCT(381)*V(101)
  A(382) = RCT(382)*V(101)
  A(383) = RCT(383)*V(49)*V(153)
  A(384) = RCT(384)*V(44)*V(153)
  A(385) = RCT(385)*V(45)*V(153)
  A(386) = RCT(386)*V(1)
  A(387) = RCT(387)*V(54)*V(154)
  A(388) = RCT(388)*V(54)*V(150)
  A(389) = RCT(389)*V(55)*V(154)
  A(390) = RCT(390)*V(55)*V(150)
  A(391) = RCT(391)*V(56)*V(154)
  A(392) = RCT(392)*V(56)*V(150)
  A(393) = RCT(393)*V(157)
  A(394) = RCT(394)*V(157)
  A(395) = RCT(395)*V(160)
  A(396) = RCT(396)*V(79)
  A(397) = RCT(397)*V(69)
  A(398) = RCT(398)*V(139)
  A(399) = RCT(399)*V(139)
  A(400) = RCT(400)*V(112)
  A(401) = RCT(401)*V(60)
  A(402) = RCT(402)*V(68)
  A(403) = RCT(403)*V(68)
  A(404) = RCT(404)*V(159)
  A(405) = RCT(405)*V(159)
  A(406) = RCT(406)*V(57)
  A(407) = RCT(407)*V(145)
  A(408) = RCT(408)*V(145)
  A(409) = RCT(409)*V(58)
  A(410) = RCT(410)*V(147)
  A(411) = RCT(411)*V(102)
  A(412) = RCT(412)*V(102)
  A(413) = RCT(413)*V(156)
  A(414) = RCT(414)*V(126)
  A(415) = RCT(415)*V(114)
  A(416) = RCT(416)*V(114)
  A(417) = RCT(417)*V(114)
  A(418) = RCT(418)*V(135)
  A(419) = RCT(419)*V(149)
  A(420) = RCT(420)*V(149)
  A(421) = RCT(421)*V(149)
  A(422) = RCT(422)*V(148)
  A(423) = RCT(423)*V(143)
  A(424) = RCT(424)*V(89)
  A(425) = RCT(425)*V(80)
  A(426) = RCT(426)*V(67)
  A(427) = RCT(427)*V(63)
  A(428) = RCT(428)*V(64)
  A(429) = RCT(429)*V(82)
  A(430) = RCT(430)*V(75)
  A(431) = RCT(431)*V(74)
  A(432) = RCT(432)*V(83)
  A(433) = RCT(433)*V(86)
  A(434) = RCT(434)*V(90)
  A(435) = RCT(435)*V(85)
  A(436) = RCT(436)*V(84)
  A(437) = RCT(437)*V(73)
  A(438) = RCT(438)*V(146)
  A(439) = RCT(439)*V(61)
  A(440) = RCT(440)*V(117)
  A(441) = RCT(441)*V(100)
  A(442) = RCT(442)*V(91)
  A(443) = RCT(443)*V(71)
  A(444) = RCT(444)*V(108)
  A(445) = RCT(445)*V(70)
  A(446) = RCT(446)*V(76)
  A(447) = RCT(447)*V(76)
  A(448) = RCT(448)*V(51)
  A(449) = RCT(449)*V(46)
  A(450) = RCT(450)*V(62)
  A(451) = RCT(451)*V(62)
  A(452) = RCT(452)*V(109)
  A(453) = RCT(453)*V(115)
  A(454) = RCT(454)*V(81)

! Aggregate function
  Vdot(1) = A(248)-A(386)
  Vdot(2) = A(249)
  Vdot(3) = A(255)
  Vdot(4) = A(257)
  Vdot(5) = A(254)
  Vdot(6) = A(256)
  Vdot(7) = A(250)
  Vdot(8) = A(252)
  Vdot(9) = A(253)
  Vdot(10) = A(258)
  Vdot(11) = A(251)
  Vdot(12) = A(259)
  Vdot(13) = A(260)
  Vdot(14) = A(261)
  Vdot(15) = A(262)
  Vdot(16) = A(263)
  Vdot(17) = A(264)
  Vdot(18) = A(283)+A(346)+A(352)+A(358)+A(363)+A(368)+A(374)+A(380)
  Vdot(19) = 0.25*A(281)
  Vdot(20) = A(145)
  Vdot(21) = A(157)
  Vdot(22) = A(387)
  Vdot(23) = A(388)
  Vdot(24) = A(389)
  Vdot(25) = A(390)
  Vdot(26) = A(391)
  Vdot(27) = A(392)
  Vdot(28) = A(310)
  Vdot(29) = A(311)
  Vdot(30) = A(312)
  Vdot(31) = A(313)
  Vdot(32) = 0.35*A(327)
  Vdot(33) = A(267)
  Vdot(34) = A(268)
  Vdot(35) = A(266)
  Vdot(36) = A(265)
  Vdot(37) = A(272)
  Vdot(38) = A(273)
  Vdot(39) = A(271)
  Vdot(40) = A(274)
  Vdot(41) = A(275)
  Vdot(42) = A(13)+A(36)+A(44)+A(84)+A(91)+0.361*A(138)+0.5*A(149)+0.2*A(176)+0.2*A(177)+A(181)+2*A(184)+0.7*A(186)+2&
               &*A(187)+A(188)+A(189)+A(200)+A(206)+0.93*A(329)+0.93*A(330)+A(338)+0.5*A(340)+A(341)+A(342)
  Vdot(43) = A(249)+A(250)+A(251)+A(252)+A(253)+A(254)+A(255)+A(256)+A(257)+A(258)+A(259)+A(260)+A(261)+A(262)+A(263)&
               &+A(264)+A(265)+A(266)+A(267)+A(268)+A(271)+A(272)+A(273)+A(274)+A(275)+A(310)+A(311)+A(312)+A(313)
  Vdot(44) = A(246)-A(384)
  Vdot(45) = A(247)-A(385)
  Vdot(46) = A(242)-A(302)-A(449)
  Vdot(47) = A(243)-A(303)
  Vdot(48) = -A(304)
  Vdot(49) = A(245)-A(383)
  Vdot(50) = A(86)-A(87)-A(259)
  Vdot(51) = A(300)-A(448)
  Vdot(52) = A(174)-A(175)-A(265)
  Vdot(53) = -A(251)+A(331)-A(332)
  Vdot(54) = A(383)-A(387)-A(388)
  Vdot(55) = A(384)-A(389)-A(390)
  Vdot(56) = A(385)-A(391)-A(392)
  Vdot(57) = A(34)-A(35)-A(256)-A(279)-A(406)
  Vdot(58) = A(42)-A(43)-A(253)-A(409)
  Vdot(59) = -A(51)-A(82)+A(231)
  Vdot(60) = A(26)-A(27)+0.5*A(277)-A(401)
  Vdot(61) = 0.41*A(131)-A(191)-A(439)
  Vdot(62) = A(226)-A(227)-A(450)-A(451)
  Vdot(63) = A(129)-A(168)-A(427)
  Vdot(64) = A(105)-A(169)-A(428)
  Vdot(65) = -A(280)-A(281)-A(282)
  Vdot(66) = -A(47)-A(48)+A(235)-A(299)
  Vdot(67) = A(128)-A(167)-A(426)
  Vdot(68) = A(28)-A(29)-A(30)-A(402)-A(403)
  Vdot(69) = A(16)-A(19)-A(20)-A(397)
  Vdot(70) = A(285)+A(292)+A(305)-A(306)-A(308)-A(310)-A(445)
  Vdot(71) = A(244)+A(289)+A(291)-A(292)+0.5*A(306)+0.5*A(307)+0.5*A(308)+0.5*A(309)-A(313)-A(443)
  Vdot(72) = A(286)-A(287)+A(295)+A(296)+A(297)+A(298)+A(299)-A(307)-A(309)-A(311)
  Vdot(73) = 0.41*A(133)-A(182)-A(183)-A(437)
  Vdot(74) = 0.75*A(70)+0.41*A(132)-A(171)-A(431)
  Vdot(75) = A(130)-A(172)-A(430)
  Vdot(76) = -A(291)+A(301)-A(305)-A(312)-A(446)-A(447)
  Vdot(77) = 0.5*A(270)+0.13*A(320)+0.065*A(322)-A(342)
  Vdot(78) = -A(45)-A(192)+A(236)-A(298)
  Vdot(79) = A(7)-A(9)+A(11)-A(257)+A(347)+A(354)+A(359)+A(364)+A(370)+A(375)+A(381)-A(396)
  Vdot(80) = A(107)-A(166)-A(425)
  Vdot(81) = -A(21)-A(22)+0.85*A(99)+0.85*A(100)-A(454)
  Vdot(82) = A(97)-A(170)+0.85*A(336)+0.5*A(340)-A(429)
  Vdot(83) = 0.88*A(101)-A(173)-A(174)-A(266)-A(432)
  Vdot(84) = A(103)-A(180)-A(181)+A(353)-A(436)
  Vdot(85) = 0.1*A(102)-A(179)-A(435)
  Vdot(86) = -A(178)+0.1*A(317)-A(433)
  Vdot(87) = 0.654*A(178)+0.29*A(201)+0.29*A(315)-A(333)
  Vdot(88) = 0.17*A(201)+0.17*A(315)-A(337)-A(341)
  Vdot(89) = A(73)+A(78)+A(106)-A(164)-A(165)-A(424)
  Vdot(90) = 0.85*A(104)+0.5*A(322)+0.5*A(325)-A(326)-A(434)
  Vdot(91) = 0.047*A(57)-A(268)-A(269)-A(319)-A(442)
  Vdot(92) = A(175)-A(176)-A(177)
  Vdot(93) = A(328)-A(329)-A(330)-A(331)+A(332)
  Vdot(94) = A(337)-A(338)-A(339)-A(340)
  Vdot(95) = 0.25*A(95)+0.25*A(96)+0.25*A(111)+0.25*A(112)+0.25*A(114)+0.24*A(115)+0.48*A(116)+0.25*A(117)+0.25*A(118)&
               &+0.15*A(119)+0.25*A(121)+0.25*A(123)-A(125)+0.3*A(186)
  Vdot(96) = 0.1*A(57)+0.113*A(200)-A(334)-A(335)-A(336)
  Vdot(97) = A(69)+A(88)-A(89)-A(136)-A(137)-A(258)
  Vdot(98) = 0.044*A(154)-A(355)-A(356)-A(357)-A(358)-A(359)
  Vdot(99) = 0.12*A(135)-A(371)-A(372)-A(373)-A(374)-A(375)-A(376)
  Vdot(100) = 0.12*A(59)+0.61*A(269)-A(273)+0.14*A(323)+0.07*A(325)-A(327)-A(441)
  Vdot(101) = 0.055*A(193)-A(377)-A(378)-A(379)-A(380)-A(381)-A(382)
  Vdot(102) = 0.32*A(52)+A(63)-A(93)-A(94)+0.16*A(111)+0.75*A(121)+0.791*A(169)+0.32*A(197)+A(204)+A(220)+A(233)-A(249)&
                &-A(297)-A(411)-A(412)+A(428)+0.32*A(438)
  Vdot(103) = 0.655*A(76)-A(77)-A(78)-A(79)
  Vdot(104) = 0.12*A(135)+0.12*A(154)+0.12*A(155)+0.211*A(156)-A(344)-A(345)-A(346)-A(347)-A(348)
  Vdot(105) = -A(145)-A(154)-A(157)+A(232)
  Vdot(106) = -A(134)-A(135)-A(140)+0.128*A(154)+A(234)+A(419)
  Vdot(107) = 0.022*A(156)+0.055*A(193)-A(360)-A(361)-A(362)-A(363)-A(364)
  Vdot(108) = A(284)-A(285)-2*A(288)-2*A(289)-A(290)-A(293)+A(294)-A(301)-A(444)+A(447)
  Vdot(109) = 0.07*A(57)+0.5*A(80)+0.25*A(122)-A(267)-A(270)-A(318)-A(452)
  Vdot(110) = 0.12*A(155)-A(365)-A(366)-A(367)-A(368)-A(369)-A(370)
  Vdot(111) = 0.4*A(66)-A(71)-A(72)-A(73)-A(74)
  Vdot(112) = A(24)-A(25)+A(39)+A(41)+0.6*A(66)+A(82)+A(92)+A(110)+A(143)+A(144)+A(159)+A(190)+A(192)+A(241)-A(254)+0.5&
                &*A(277)+A(278)+2*A(279)+A(282)+A(305)+A(316)+A(321)+A(324)+A(335)+A(339)-A(400)
  Vdot(113) = A(48)-A(49)+0.05*A(52)-A(95)+0.03*A(111)-A(129)-A(150)-A(152)+0.36*A(168)+0.05*A(197)+A(299)+0.05*A(438)
  Vdot(114) = 0.5*A(58)+A(71)+0.94*A(72)+0.7*A(74)+0.7*A(75)+0.919*A(77)+0.7*A(79)+0.134*A(138)-A(141)-A(143)+0.275&
                &*A(176)+0.275*A(177)+0.216*A(201)+0.216*A(315)+0.48*A(334)+0.072*A(336)-A(415)-A(416)-A(417)
  Vdot(115) = 0.5*A(62)+0.075*A(104)+0.375*A(120)+0.791*A(166)+0.5*A(206)+0.5*A(270)-A(271)+0.15*A(320)+0.075*A(322)&
                &-A(343)-A(453)
  Vdot(116) = A(183)-A(184)-A(185)-A(186)-2*A(187)-A(188)-A(189)-A(190)
  Vdot(117) = 0.15*A(60)+0.39*A(269)-A(272)+0.07*A(320)+0.035*A(322)+0.26*A(323)+0.13*A(325)-A(328)-A(440)
  Vdot(118) = 0.066*A(154)-A(349)-A(350)-A(351)-A(352)-A(353)-A(354)
  Vdot(119) = -A(50)-A(96)-A(130)+A(134)-A(151)-A(153)+0.209*A(172)
  Vdot(120) = 0.6*A(66)-A(67)-A(68)-A(69)-A(70)+0.345*A(76)
  Vdot(121) = -A(62)-A(104)-A(120)+A(158)-A(206)-A(217)
  Vdot(122) = A(47)+0.18*A(52)-A(63)-A(105)+0.09*A(111)-A(121)+0.209*A(169)+0.18*A(197)-A(204)-A(220)+0.18*A(438)
  Vdot(123) = -A(81)-A(107)-A(123)+A(140)+0.209*A(166)-A(208)-A(219)
  Vdot(124) = -A(56)-A(100)+A(108)+A(110)-A(114)-A(199)-A(211)
  Vdot(125) = A(45)-A(46)+0.32*A(52)+A(90)-A(109)+0.16*A(111)-2*A(126)-2*A(127)-A(128)+0.44*A(132)+A(160)+0.36*A(167)&
                &+A(192)+0.32*A(197)-A(221)-A(222)+A(223)+A(298)+A(410)+0.85*A(413)+0.32*A(438)
  Vdot(126) = 0.5*A(58)+0.53*A(59)+0.578*A(102)+0.13*A(117)+0.36*A(118)-A(138)-A(139)+0.275*A(176)+0.275*A(177)+0.5&
                &*A(193)+0.234*A(201)+0.6*A(202)+0.5*A(270)+0.234*A(315)+0.9*A(317)+0.15*A(320)+0.075*A(322)+0.6*A(323)+0.3&
                &*A(325)+0.52*A(334)+0.078*A(336)+A(377)+A(378)+A(379)+A(380)+A(381)-A(414)+0.26*A(433)+0.7*A(435)+A(441)
  Vdot(127) = -A(117)+0.346*A(178)-A(201)-A(213)+A(314)-A(315)-A(316)-A(317)
  Vdot(128) = -A(59)-A(102)-A(118)+A(146)+0.054*A(154)+0.209*A(179)-A(202)-A(214)
  Vdot(129) = A(85)-A(86)+A(87)-A(90)+A(92)-A(132)-A(160)-A(162)+A(171)-A(223)+0.15*A(413)+A(421)
  Vdot(130) = A(21)-A(55)+A(93)+A(94)-A(99)-A(113)-A(198)-A(210)+A(297)
  Vdot(131) = -A(54)+A(83)-A(98)-A(112)-A(205)-A(216)+0.612*A(326)
  Vdot(132) = 0.7*A(64)+0.7*A(65)-A(66)-A(75)-A(76)+1.2*A(80)+0.6*A(122)+0.7*A(207)
  Vdot(133) = -A(88)+A(89)-A(91)-A(133)+0.53*A(147)+A(159)-A(161)-A(163)+A(182)-A(224)
  Vdot(134) = A(280)+0.75*A(281)+A(282)-A(283)-A(346)-A(352)-A(358)-A(363)-A(368)-A(374)-A(380)
  Vdot(135) = A(22)+0.5*A(58)+0.35*A(59)+0.122*A(60)+0.5*A(62)+0.102*A(102)+0.075*A(104)+0.5*A(113)+0.29*A(117)+0.14&
                &*A(118)+0.255*A(119)+0.375*A(120)-A(142)-A(144)+A(148)+0.5*A(155)+0.88*A(156)+0.275*A(176)+0.275*A(177)+0.5&
                &*A(193)+0.234*A(201)+0.4*A(202)+0.143*A(203)+0.5*A(206)+0.234*A(315)+0.9*A(317)+0.65*A(327)+0.07*A(329)&
                &+0.07*A(330)+0.52*A(334)+0.078*A(336)+A(343)+A(360)+A(361)+A(362)+A(363)+A(364)+A(365)+A(366)+A(367)+A(368)&
                &+A(370)-A(418)+0.58*A(433)+0.3*A(435)+A(440)
  Vdot(136) = -A(64)-A(65)-2*A(80)-A(106)-A(122)+A(157)+0.36*A(165)-A(207)-A(218)
  Vdot(137) = -A(57)-A(58)-A(101)-A(115)-2*A(116)+A(145)+0.387*A(173)-A(200)-A(212)
  Vdot(138) = 0.123*A(57)+0.23*A(64)+0.23*A(65)+0.23*A(80)+0.3*A(115)+0.5*A(116)+0.115*A(122)+0.613*A(173)-A(193)+0.14&
                &*A(200)+0.23*A(207)-A(314)+0.29*A(432)+A(442)+A(452)
  Vdot(139) = A(5)+A(15)+A(17)+2*A(18)+A(20)-A(23)+A(37)-A(39)+0.05*A(40)+A(50)+0.39*A(54)+0.96*A(55)+0.66*A(57)+A(58)&
                &+0.35*A(59)+0.122*A(60)+0.5*A(62)+0.07*A(64)+0.07*A(65)+0.75*A(74)+0.75*A(75)+0.75*A(79)+0.07*A(80)+A(81)&
                &+0.5*A(91)+0.75*A(95)+1.25*A(96)+0.15*A(99)+0.12*A(101)+0.102*A(102)+0.075*A(104)+0.75*A(109)+0.75*A(111)&
                &+0.95*A(112)+0.5*A(113)+0.75*A(114)+1.22*A(115)+0.92*A(116)+0.95*A(117)+0.89*A(118)+1.255*A(119)+0.625&
                &*A(120)+0.75*A(121)+0.785*A(122)+1.25*A(123)+0.59*A(133)+0.5*A(135)+A(137)+0.732*A(138)+A(151)+0.709*A(154)&
                &+0.6*A(155)+0.12*A(156)+A(160)+2*A(161)+A(162)+A(163)+0.375*A(176)+0.375*A(177)+A(186)+0.445*A(193)+A(195)&
                &+A(196)+A(198)+0.747*A(200)+0.4*A(202)+0.143*A(203)+0.39*A(205)+0.5*A(206)+0.07*A(207)+A(208)+A(224)+A(239)&
                &-A(255)+A(269)+A(280)+A(282)-A(295)+0.65*A(320)+0.325*A(322)+0.4*A(323)+0.2*A(325)+0.35*A(327)+0.08*A(329)&
                &+0.08*A(330)+A(342)+A(344)+A(345)+A(346)+A(347)+3*A(386)+A(397)-A(398)-A(399)+0.9*A(414)+A(417)+A(420)&
                &+A(422)+A(423)+A(430)+0.71*A(432)+0.3*A(435)+0.5*A(436)+A(437)+0.5*A(440)+A(450)+A(453)+A(454)
  Vdot(140) = -A(60)-A(61)-A(103)-A(119)+0.47*A(147)+A(180)-A(203)-A(215)
  Vdot(141) = A(319)-A(323)-A(324)-A(325)+0.193*A(326)
  Vdot(142) = A(318)-A(320)-A(321)-A(322)+0.193*A(326)
  Vdot(143) = 0.5*A(58)+0.728*A(60)+A(61)+0.16*A(96)+0.2*A(113)+0.18*A(117)+0.595*A(119)+A(136)-A(148)-A(149)+0.65&
                &*A(153)+0.791*A(172)+0.725*A(176)+0.725*A(177)+A(181)+A(184)+0.7*A(186)+2*A(187)+A(188)+A(189)+0.216*A(201)&
                &+0.857*A(203)-A(263)+0.5*A(270)+0.216*A(315)+0.44*A(320)+0.22*A(322)+0.6*A(323)+0.3*A(325)+0.85*A(329)+0.85&
                &*A(330)+0.5*A(333)+0.48*A(334)+0.072*A(336)+A(382)-A(423)+0.36*A(433)+A(436)+A(440)
  Vdot(144) = A(51)-A(52)-A(53)+0.3*A(54)+A(82)-A(97)-A(111)+0.15*A(112)+0.209*A(170)-A(197)+0.3*A(205)-A(209)
  Vdot(145) = -A(40)-A(41)+A(46)+A(50)+0.32*A(52)+0.75*A(54)+0.93*A(56)+A(81)+0.5*A(96)+0.15*A(100)+0.75*A(109)+0.16&
                &*A(111)+0.38*A(112)+0.5*A(114)+0.5*A(123)+A(124)+2*A(126)+A(127)+0.5*A(135)+A(151)+0.1*A(155)+0.64*A(167)&
                &+0.32*A(197)+A(199)+0.75*A(205)+A(208)+A(221)+A(222)+A(238)-A(264)-A(296)+A(371)+A(372)+A(373)+A(374)&
                &+A(375)-A(407)-A(408)+A(426)+A(430)+A(431)+0.32*A(438)
  Vdot(146) = A(53)+0.04*A(55)+0.07*A(56)+A(67)+A(68)+A(71)+0.94*A(72)+0.7*A(74)+0.3*A(75)+0.934*A(77)+0.7*A(79)-A(83)&
                &+A(98)+0.25*A(120)+0.64*A(165)-A(260)-A(438)
  Vdot(147) = A(49)+0.13*A(52)+0.57*A(54)-A(85)-A(92)+0.75*A(95)+0.09*A(96)+0.033*A(102)+0.07*A(111)+0.54*A(112)+0.25&
                &*A(123)+A(125)+A(150)+A(152)+0.35*A(153)+0.64*A(168)+0.791*A(170)+0.13*A(197)+0.09*A(201)+0.57*A(205)&
                &+A(216)+A(217)+A(218)+A(219)+0.09*A(315)+A(338)+0.5*A(340)-A(410)+A(424)+A(425)+A(427)+A(429)+A(434)+0.13&
                &*A(438)
  Vdot(148) = 0.26*A(57)+0.035*A(64)+0.035*A(65)+0.035*A(80)+0.047*A(101)+0.18*A(115)+0.36*A(116)+0.018*A(122)-A(147)&
                &+0.3*A(154)-A(156)-A(158)-A(159)+0.294*A(200)+0.035*A(207)-A(262)+A(349)+A(350)+A(351)+A(352)+A(354)-A(422)&
                &+0.285*A(432)
  Vdot(149) = 0.4*A(57)+0.035*A(64)+0.035*A(65)+0.035*A(80)+0.073*A(101)+0.28*A(115)+0.56*A(116)+0.018*A(122)-A(146)+0.2&
                &*A(154)-A(155)+0.453*A(200)+0.035*A(207)-A(261)+A(355)+A(356)+A(357)+A(358)+A(359)-A(419)-A(420)-A(421)&
                &+0.425*A(432)
  Vdot(150) = -A(1)-A(10)-A(15)-A(26)-A(32)+A(38)-A(44)-A(46)-A(49)-A(50)-A(52)-A(53)-A(54)-A(55)-A(56)-A(57)-A(59)&
                &-A(60)-A(62)-A(63)-A(64)-A(68)-A(72)-A(77)-A(81)-A(90)-A(91)-A(177)-A(189)-A(190)+A(228)-A(290)-A(315)&
                &-A(316)-A(320)-A(321)-A(323)-A(324)-A(329)-A(334)-A(335)-A(338)-A(339)-A(344)-A(350)-A(356)-A(361)-A(366)&
                &-A(372)-A(378)-A(388)-A(390)-A(392)+A(395)+A(401)+A(405)
  Vdot(151) = -A(13)+A(23)+A(39)+0.05*A(40)+0.728*A(60)+A(61)+0.5*A(62)+A(67)+A(68)+0.5*A(91)+0.075*A(104)+0.33*A(117)&
                &+0.595*A(119)+0.375*A(120)+0.39*A(133)+0.56*A(135)+A(136)+0.505*A(138)+A(139)+2*A(141)+A(142)+2*A(143)&
                &+A(144)+0.5*A(149)+0.512*A(154)+0.56*A(155)+0.767*A(156)+0.251*A(176)+0.251*A(177)+0.89*A(193)+0.09*A(201)&
                &+0.857*A(203)+0.5*A(206)+A(230)+A(295)+A(296)+A(297)+A(298)+A(299)+0.09*A(315)+1.5*A(333)-A(349)-A(355)&
                &-A(360)-A(365)-A(371)-A(377)+A(398)+A(399)+0.88*A(407)+A(408)+A(410)+A(412)+A(414)+2*A(415)+2*A(416)+A(417)&
                &+A(418)+A(419)+A(420)+A(422)+0.67*A(433)+0.5*A(436)+0.5*A(440)+A(453)
  Vdot(152) = -A(284)-A(286)+A(287)+2*A(288)+A(290)-A(291)+A(292)+A(293)-A(294)-A(295)-A(296)-A(297)-A(298)-A(299)&
                &-A(300)+3*A(302)+2*A(303)+A(304)+2*A(443)+A(444)+A(445)+A(446)+A(448)+3*A(449)
  Vdot(153) = -A(2)+A(3)-2*A(6)-2*A(7)-A(8)-A(9)+A(10)-A(12)-A(13)-A(14)-A(19)-A(21)-A(23)-A(24)-A(25)-A(26)-A(27)-A(30)&
                &+A(31)-A(33)-A(36)-A(37)-A(40)-A(45)-A(47)-A(48)-A(51)+A(58)+A(61)+0.5*A(62)-A(76)-A(83)-A(84)-A(85)-A(93)&
                &-A(94)+0.15*A(99)+0.15*A(100)+0.12*A(101)+0.68*A(102)+0.15*A(104)-A(108)-A(124)-A(125)+0.44*A(131)+0.44&
                &*A(132)+0.44*A(133)-A(134)+0.36*A(135)-A(136)-0.773*A(138)-A(141)-A(142)-A(145)-A(146)-A(147)-A(148)+0.315&
                &*A(154)+0.36*A(155)+0.415*A(156)-0.36*A(165)-0.209*A(166)-0.36*A(167)-0.36*A(168)-0.209*A(169)-0.209*A(170)&
                &-A(171)-0.209*A(172)-0.387*A(173)-A(175)+1.125*A(176)+0.125*A(177)-0.346*A(178)-0.209*A(179)-A(180)-A(182)&
                &-A(183)+A(184)+0.7*A(186)+2*A(187)+2*A(188)+A(189)-A(191)+0.89*A(193)+0.27*A(269)+0.27*A(270)-A(280)-A(281)&
                &-A(283)-A(287)-A(292)-A(293)-A(302)-A(303)-A(304)-A(314)+0.9*A(317)-A(318)-A(319)+0.5*A(322)+0.5*A(325)&
                &-0.388*A(326)-A(327)-A(328)+A(330)-A(333)+0.15*A(336)-A(337)+0.5*A(340)+A(341)-A(342)-A(343)-A(383)-A(384)&
                &-A(385)+2*A(393)+A(394)+2*A(396)+A(397)+A(400)+A(401)+A(402)+0.07*A(414)+A(424)+A(425)+A(426)+A(427)+A(428)&
                &+A(429)+A(430)+A(431)+A(432)+A(433)+A(434)+A(435)+A(436)+A(437)+A(439)+A(445)+A(454)
  Vdot(154) = A(2)-A(3)+A(5)-A(8)+A(9)-A(10)-2*A(11)+A(12)+A(13)+A(15)-A(16)+2*A(18)+A(23)-A(28)+A(29)-A(31)+A(33)+A(36)&
                &+A(37)+A(39)+0.05*A(40)+A(46)+A(49)+A(50)+0.27*A(52)+0.783*A(57)+2*A(58)+0.35*A(59)+0.85*A(60)+A(63)+0.8&
                &*A(64)+0.8*A(65)+A(67)+A(68)-A(70)-A(73)+0.5*A(74)+0.5*A(75)+0.934*A(77)-A(78)+1.2*A(79)+0.8*A(80)+A(95)&
                &+A(96)-A(97)-A(98)-A(99)-A(100)-0.88*A(101)-0.898*A(102)-A(103)-0.925*A(104)-A(105)-A(106)-A(107)+A(109)&
                &+0.64*A(111)+0.5*A(112)+0.3*A(113)+0.5*A(114)+1.1*A(115)+1.28*A(116)+A(117)+0.64*A(118)+1.7*A(119)+0.375&
                &*A(120)+A(121)+0.9*A(122)+0.5*A(123)+A(124)+A(125)+2*A(126)-A(128)-A(129)-A(130)-A(131)-A(132)-A(133)+0.28&
                &*A(135)+0.773*A(138)+A(141)+A(143)+A(148)+A(150)+A(151)+0.308*A(154)+0.28*A(155)+0.317*A(156)+A(160)+A(161)&
                &-0.175*A(176)+0.825*A(177)+0.7*A(186)-A(188)+0.445*A(193)+A(195)+0.27*A(197)+0.887*A(200)+A(201)+0.4*A(202)&
                &+0.85*A(203)+A(204)+0.5*A(206)+0.8*A(207)+A(221)-A(276)+A(283)-A(285)-A(286)+A(293)+A(295)+A(315)-0.1&
                &*A(317)+0.35*A(320)-0.825*A(322)+0.4*A(323)-0.8*A(325)-A(330)+A(333)+A(334)-0.85*A(336)+A(338)-0.5*A(340)&
                &+A(341)-A(387)-A(389)-A(391)+A(394)+A(397)+2*A(398)+A(403)+A(407)+A(410)+1.73*A(414)+2*A(415)+A(418)+A(420)&
                &+A(422)+A(423)+A(424)+A(425)+A(426)+A(427)+A(428)+A(429)+A(430)+A(431)+A(432)+A(433)+A(434)+0.3*A(435)&
                &+A(436)+0.27*A(438)+A(440)+A(442)+A(450)+A(452)
  Vdot(155) = 0.95*A(40)+A(41)-A(42)+A(43)-A(44)+0.96*A(55)+0.93*A(56)+0.53*A(59)+0.5*A(91)+0.15*A(99)+0.15*A(100)+0.578&
                &*A(102)+0.3*A(113)+0.5*A(114)+0.36*A(118)-A(131)+A(137)+A(142)+A(144)-A(150)-A(151)-A(152)-A(153)+0.158&
                &*A(154)+0.28*A(155)+0.099*A(156)+A(161)-A(184)-A(185)+A(191)+0.445*A(193)-2*A(194)-A(195)-A(196)-A(197)&
                &-A(200)-A(201)-0.4*A(202)-A(203)-A(204)-A(205)-A(206)-A(207)-A(208)-A(209)-A(210)-A(211)-A(212)-A(213)&
                &-A(214)-A(215)-A(216)-A(217)-A(218)-A(219)-A(220)-A(221)-A(222)-A(223)+A(296)+A(369)+0.12*A(407)+0.7*A(409)&
                &+A(411)+0.85*A(413)+A(418)+A(420)+A(422)+A(423)+0.7*A(435)+A(437)+A(441)+A(454)
  Vdot(156) = 0.19*A(52)+0.187*A(102)-A(108)-A(110)+0.35*A(111)+0.25*A(114)+0.25*A(117)+0.25*A(118)+A(164)+0.791*A(179)&
                &+A(185)+0.19*A(197)+A(209)+A(210)+A(211)+A(212)+A(213)+A(214)+A(215)+A(237)+0.34*A(320)+0.17*A(322)+0.5&
                &*A(333)+A(341)-A(413)+0.19*A(438)
  Vdot(157) = -A(1)-A(2)-A(3)-A(4)-A(5)+A(6)+0.25*A(70)-A(75)+0.15*A(131)+0.15*A(132)+0.15*A(133)-A(135)-A(137)-A(154)&
                &-A(155)-A(156)-A(193)+A(240)-A(252)-A(269)-A(270)-A(284)-A(341)-A(393)-A(394)+A(395)+A(404)+A(444)
  Vdot(158) = -A(5)+A(14)-A(15)-A(16)-2*A(17)-2*A(18)+A(19)+A(44)+0.18*A(52)-A(74)-A(79)+A(84)+0.5*A(91)-A(95)-A(96)&
                &-A(109)-0.91*A(111)-A(112)-A(113)-A(114)-A(115)-A(117)-A(118)-A(119)-A(120)-A(121)-A(122)-A(123)+0.44&
                &*A(131)+0.39*A(133)+0.28*A(135)+0.5*A(149)+A(150)+A(151)+0.051*A(154)-A(160)-A(161)-A(162)-A(163)+A(184)&
                &-A(186)+2*A(194)-A(196)+A(197)+A(198)+A(199)+A(200)+A(201)+A(202)+A(203)+A(204)+A(205)+A(206)+A(207)+A(208)&
                &+A(221)+A(223)+A(224)-A(226)+A(227)+A(280)+A(281)+A(282)+A(369)+0.88*A(407)+0.3*A(409)+A(411)+2*A(412)+0.15&
                &*A(413)+A(421)+0.18*A(438)+A(439)+A(451)+A(453)
  Vdot(159) = A(4)+A(25)-A(31)-A(32)-A(33)-A(34)+A(35)-A(38)-A(39)-A(41)-A(65)-A(66)-A(67)-A(71)-A(82)-A(92)-A(110)&
                &+A(137)-A(140)-A(143)-A(144)-A(157)-A(158)-A(159)-A(192)-2*A(225)-A(278)-A(282)+A(291)-A(294)+0.31*A(320)&
                &+0.155*A(322)+A(327)+0.15*A(329)+0.15*A(330)+A(345)+A(351)+A(357)+A(362)+A(367)+A(373)+A(379)+A(402)-A(404)&
                &-A(405)+A(406)+0.3*A(409)+A(446)+A(450)
  Vdot(160) = A(1)-A(4)+A(10)+A(15)-A(24)+A(27)-A(28)+A(29)+A(30)+A(31)+2*A(32)+A(33)-A(34)+A(35)-A(42)+A(43)+A(44)&
                &+A(46)+A(49)+A(50)+A(52)+2*A(54)+0.96*A(55)+0.93*A(56)+0.883*A(57)+0.88*A(59)+0.85*A(60)+1.5*A(62)+A(63)&
                &+1.3*A(64)+1.3*A(65)+A(67)+A(68)-A(69)+2*A(71)+1.88*A(72)+0.7*A(74)+0.7*A(75)+0.3*A(80)+2*A(81)-A(86)+A(87)&
                &-A(88)+A(89)+A(90)+A(91)+0.075*A(104)+A(112)+0.375*A(120)+0.15*A(122)+A(123)+A(136)+A(164)+A(177)+A(189)&
                &+A(205)+0.5*A(206)+0.3*A(207)+A(208)+A(216)+A(217)+A(218)+A(219)+2*A(225)-A(226)+A(227)+A(229)-A(250)&
                &-A(277)+A(290)+A(294)-A(300)-A(301)+A(315)+1.34*A(320)+0.17*A(322)+1.6*A(323)+0.3*A(325)+1.85*A(329)+0.85&
                &*A(330)-A(331)+A(332)+A(334)+A(338)+A(342)+A(343)+A(344)-A(345)+A(350)-A(351)+A(356)-A(357)+A(361)-A(362)&
                &+A(366)-A(367)+A(372)-A(373)+A(378)-A(379)-A(395)+A(400)+A(403)+A(404)+A(406)+0.7*A(409)+A(424)+A(425)&
                &+A(434)+A(438)+A(440)+A(441)+A(442)+A(447)+A(448)+A(451)+A(452)+A(453)
      
END SUBROUTINE Fun

! End of Fun function
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



END MODULE gckpp_Function

