! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.1_rs5 symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.f90
! Time                 : Mon Oct 19 13:24:39 2015
! Working directory    : /home/mpayer/KPP
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 175 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 164 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 120 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 11 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 458 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 165 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 1549 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 1859 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 165 
! CNEQN - (NREACT+1) Number stoicm elements in compressed col format
  INTEGER, PARAMETER :: CNEQN = 459 
! NHESS - Length of Sparse Hessian
  INTEGER, PARAMETER :: NHESS = 1372 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 175 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_MONX = 1 
  INTEGER, PARAMETER :: ind_DRYACET = 2 
  INTEGER, PARAMETER :: ind_DRYCH2O = 3 
  INTEGER, PARAMETER :: ind_DRYH2O2 = 4 
  INTEGER, PARAMETER :: ind_DRYHNO3 = 5 
  INTEGER, PARAMETER :: ind_DRYN2O5 = 6 
  INTEGER, PARAMETER :: ind_DRYNO2 = 7 
  INTEGER, PARAMETER :: ind_DRYO3 = 8 
  INTEGER, PARAMETER :: ind_DRYPAN = 9 
  INTEGER, PARAMETER :: ind_DRYPMN = 10 
  INTEGER, PARAMETER :: ind_DRYPMNN = 11 
  INTEGER, PARAMETER :: ind_DRYPPN = 12 
  INTEGER, PARAMETER :: ind_DRYR4N2 = 13 
  INTEGER, PARAMETER :: ind_DRYMVK = 14 
  INTEGER, PARAMETER :: ind_DRYMACR = 15 
  INTEGER, PARAMETER :: ind_DRYHAC = 16 
  INTEGER, PARAMETER :: ind_DRYALD2 = 17 
  INTEGER, PARAMETER :: ind_SO4 = 18 
  INTEGER, PARAMETER :: ind_MSA = 19 
  INTEGER, PARAMETER :: ind_LISOPOH = 20 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 21 
  INTEGER, PARAMETER :: ind_LBRO2H = 22 
  INTEGER, PARAMETER :: ind_LBRO2N = 23 
  INTEGER, PARAMETER :: ind_LTRO2H = 24 
  INTEGER, PARAMETER :: ind_LTRO2N = 25 
  INTEGER, PARAMETER :: ind_LXRO2H = 26 
  INTEGER, PARAMETER :: ind_LXRO2N = 27 
  INTEGER, PARAMETER :: ind_LNRO2H = 28 
  INTEGER, PARAMETER :: ind_LNRO2N = 29 
  INTEGER, PARAMETER :: ind_NRO2 = 30 
  INTEGER, PARAMETER :: ind_NAP = 31 
  INTEGER, PARAMETER :: ind_DRYHOBr = 32 
  INTEGER, PARAMETER :: ind_DRYHBr = 33 
  INTEGER, PARAMETER :: ind_DRYBrNO3 = 34 
  INTEGER, PARAMETER :: ind_DRYBr2 = 35 
  INTEGER, PARAMETER :: ind_PYAC = 36 
  INTEGER, PARAMETER :: ind_DRYISOPND = 37 
  INTEGER, PARAMETER :: ind_DRYISOPNB = 38 
  INTEGER, PARAMETER :: ind_DRYRIP = 39 
  INTEGER, PARAMETER :: ind_DRYIEPOX = 40 
  INTEGER, PARAMETER :: ind_DRYMACRN = 41 
  INTEGER, PARAMETER :: ind_DRYMVKN = 42 
  INTEGER, PARAMETER :: ind_DRYPROPNN = 43 
  INTEGER, PARAMETER :: ind_DRYHCOOH = 44 
  INTEGER, PARAMETER :: ind_DRYACTA = 45 
  INTEGER, PARAMETER :: ind_CO2 = 46 
  INTEGER, PARAMETER :: ind_DRYDEP = 47 
  INTEGER, PARAMETER :: ind_TOLU = 48 
  INTEGER, PARAMETER :: ind_XYLE = 49 
  INTEGER, PARAMETER :: ind_CHBr3 = 50 
  INTEGER, PARAMETER :: ind_CH2Br2 = 51 
  INTEGER, PARAMETER :: ind_CH3Br = 52 
  INTEGER, PARAMETER :: ind_BENZ = 53 
  INTEGER, PARAMETER :: ind_PPN = 54 
  INTEGER, PARAMETER :: ind_BrNO2 = 55 
  INTEGER, PARAMETER :: ind_IEPOX = 56 
  INTEGER, PARAMETER :: ind_PMNN = 57 
  INTEGER, PARAMETER :: ind_BRO2 = 58 
  INTEGER, PARAMETER :: ind_TRO2 = 59 
  INTEGER, PARAMETER :: ind_XRO2 = 60 
  INTEGER, PARAMETER :: ind_N2O5 = 61 
  INTEGER, PARAMETER :: ind_PAN = 62 
  INTEGER, PARAMETER :: ind_ALK4 = 63 
  INTEGER, PARAMETER :: ind_HNO2 = 64 
  INTEGER, PARAMETER :: ind_MAP = 65 
  INTEGER, PARAMETER :: ind_MPN = 66 
  INTEGER, PARAMETER :: ind_RB3P = 67 
  INTEGER, PARAMETER :: ind_DMS = 68 
  INTEGER, PARAMETER :: ind_RA3P = 69 
  INTEGER, PARAMETER :: ind_C3H8 = 70 
  INTEGER, PARAMETER :: ind_ETP = 71 
  INTEGER, PARAMETER :: ind_HNO4 = 72 
  INTEGER, PARAMETER :: ind_MP = 73 
  INTEGER, PARAMETER :: ind_HOBr = 74 
  INTEGER, PARAMETER :: ind_Br2 = 75 
  INTEGER, PARAMETER :: ind_HBr = 76 
  INTEGER, PARAMETER :: ind_MAOP = 77 
  INTEGER, PARAMETER :: ind_RP = 78 
  INTEGER, PARAMETER :: ind_BrNO3 = 79 
  INTEGER, PARAMETER :: ind_ETHLN = 80 
  INTEGER, PARAMETER :: ind_PP = 81 
  INTEGER, PARAMETER :: ind_C2H6 = 82 
  INTEGER, PARAMETER :: ind_H2O2 = 83 
  INTEGER, PARAMETER :: ind_PRPN = 84 
  INTEGER, PARAMETER :: ind_ATOOH = 85 
  INTEGER, PARAMETER :: ind_R4P = 86 
  INTEGER, PARAMETER :: ind_VRP = 87 
  INTEGER, PARAMETER :: ind_RIP = 88 
  INTEGER, PARAMETER :: ind_IAP = 89 
  INTEGER, PARAMETER :: ind_MRP = 90 
  INTEGER, PARAMETER :: ind_DHMOB = 91 
  INTEGER, PARAMETER :: ind_MOBA = 92 
  INTEGER, PARAMETER :: ind_INPN = 93 
  INTEGER, PARAMETER :: ind_ISNP = 94 
  INTEGER, PARAMETER :: ind_ISOPNB = 95 
  INTEGER, PARAMETER :: ind_IEPOXOO = 96 
  INTEGER, PARAMETER :: ind_MACRNO2 = 97 
  INTEGER, PARAMETER :: ind_MOBAOO = 98 
  INTEGER, PARAMETER :: ind_ROH = 99 
  INTEGER, PARAMETER :: ind_DIBOO = 100 
  INTEGER, PARAMETER :: ind_PMN = 101 
  INTEGER, PARAMETER :: ind_MVKOO = 102 
  INTEGER, PARAMETER :: ind_CH3CHOO = 103 
  INTEGER, PARAMETER :: ind_MVKN = 104 
  INTEGER, PARAMETER :: ind_GAOO = 105 
  INTEGER, PARAMETER :: ind_ACET = 106 
  INTEGER, PARAMETER :: ind_ISNOHOO = 107 
  INTEGER, PARAMETER :: ind_CH2OO = 108 
  INTEGER, PARAMETER :: ind_ISOP = 109 
  INTEGER, PARAMETER :: ind_PRPE = 110 
  INTEGER, PARAMETER :: ind_MGLYOO = 111 
  INTEGER, PARAMETER :: ind_BrO = 112 
  INTEGER, PARAMETER :: ind_PROPNN = 113 
  INTEGER, PARAMETER :: ind_MGLOO = 114 
  INTEGER, PARAMETER :: ind_ISNOOB = 115 
  INTEGER, PARAMETER :: ind_HNO3 = 116 
  INTEGER, PARAMETER :: ind_A3O2 = 117 
  INTEGER, PARAMETER :: ind_GLYX = 118 
  INTEGER, PARAMETER :: ind_MAOPO2 = 119 
  INTEGER, PARAMETER :: ind_ISOPND = 120 
  INTEGER, PARAMETER :: ind_MACRN = 121 
  INTEGER, PARAMETER :: ind_MACROO = 122 
  INTEGER, PARAMETER :: ind_PO2 = 123 
  INTEGER, PARAMETER :: ind_ISNOOA = 124 
  INTEGER, PARAMETER :: ind_MAN2 = 125 
  INTEGER, PARAMETER :: ind_B3O2 = 126 
  INTEGER, PARAMETER :: ind_PRN1 = 127 
  INTEGER, PARAMETER :: ind_KO2 = 128 
  INTEGER, PARAMETER :: ind_ETO2 = 129 
  INTEGER, PARAMETER :: ind_GLYC = 130 
  INTEGER, PARAMETER :: ind_HC5OO = 131 
  INTEGER, PARAMETER :: ind_VRO2 = 132 
  INTEGER, PARAMETER :: ind_RCO3 = 133 
  INTEGER, PARAMETER :: ind_ATO2 = 134 
  INTEGER, PARAMETER :: ind_R4N1 = 135 
  INTEGER, PARAMETER :: ind_ISN1 = 136 
  INTEGER, PARAMETER :: ind_MAO3 = 137 
  INTEGER, PARAMETER :: ind_SO2 = 138 
  INTEGER, PARAMETER :: ind_MGLY = 139 
  INTEGER, PARAMETER :: ind_INO2 = 140 
  INTEGER, PARAMETER :: ind_RIO2 = 141 
  INTEGER, PARAMETER :: ind_HC5 = 142 
  INTEGER, PARAMETER :: ind_CH2O = 143 
  INTEGER, PARAMETER :: ind_MRO2 = 144 
  INTEGER, PARAMETER :: ind_ISOPNBO2 = 145 
  INTEGER, PARAMETER :: ind_ISOPNDO2 = 146 
  INTEGER, PARAMETER :: ind_HAC = 147 
  INTEGER, PARAMETER :: ind_R4O2 = 148 
  INTEGER, PARAMETER :: ind_ALD2 = 149 
  INTEGER, PARAMETER :: ind_R4N2 = 150 
  INTEGER, PARAMETER :: ind_MACR = 151 
  INTEGER, PARAMETER :: ind_MVK = 152 
  INTEGER, PARAMETER :: ind_MEK = 153 
  INTEGER, PARAMETER :: ind_Br = 154 
  INTEGER, PARAMETER :: ind_MCO3 = 155 
  INTEGER, PARAMETER :: ind_CO = 156 
  INTEGER, PARAMETER :: ind_O3 = 157 
  INTEGER, PARAMETER :: ind_MO2 = 158 
  INTEGER, PARAMETER :: ind_HO2 = 159 
  INTEGER, PARAMETER :: ind_RCHO = 160 
  INTEGER, PARAMETER :: ind_OH = 161 
  INTEGER, PARAMETER :: ind_NO2 = 162 
  INTEGER, PARAMETER :: ind_NO = 163 
  INTEGER, PARAMETER :: ind_NO3 = 164 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_ACTA = 165 
  INTEGER, PARAMETER :: ind_CH4 = 166 
  INTEGER, PARAMETER :: ind_EMISSION = 167 
  INTEGER, PARAMETER :: ind_EOH = 168 
  INTEGER, PARAMETER :: ind_H2 = 169 
  INTEGER, PARAMETER :: ind_H2O = 170 
  INTEGER, PARAMETER :: ind_HCOOH = 171 
  INTEGER, PARAMETER :: ind_MOH = 172 
  INTEGER, PARAMETER :: ind_O2 = 173 
  INTEGER, PARAMETER :: ind_RCOOH = 174 
  INTEGER, PARAMETER :: ind_DUMMY = 175 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_ACTA = 1 
  INTEGER, PARAMETER :: indf_CH4 = 2 
  INTEGER, PARAMETER :: indf_EMISSION = 3 
  INTEGER, PARAMETER :: indf_EOH = 4 
  INTEGER, PARAMETER :: indf_H2 = 5 
  INTEGER, PARAMETER :: indf_H2O = 6 
  INTEGER, PARAMETER :: indf_HCOOH = 7 
  INTEGER, PARAMETER :: indf_MOH = 8 
  INTEGER, PARAMETER :: indf_O2 = 9 
  INTEGER, PARAMETER :: indf_RCOOH = 10 
  INTEGER, PARAMETER :: indf_DUMMY = 11 

! NJVRP - Length of sparse Jacobian JVRP
  INTEGER, PARAMETER :: NJVRP = 728 

! NSTOICM - Length of Sparse Stoichiometric Matrix
  INTEGER, PARAMETER :: NSTOICM = 1910 

END MODULE gckpp_Parameters

